#include <dgb.h>
#include "types.h"
#include "dbproc.h"
#include "segments.h"
#include "trace.h"
#include "segbug.h"

void far DebugProc (fn, a)
WORD fn;
ARG far *a;
{
   switch (fn)
   {
   case 3:  /*trace("Heap initialised to %w\n", a->pGlobalHeap);*/
	    LockTimer(FALSE);
	    break;
   case 0:
      switch (a->d.Type)
      {
      case 0:  /*trace("%s!Code(%w) = %w\n", (LPSTR) a->d.SegName, a->d.Ordinal, a->d.SegLoc);*/
	       DefineSegment (a->d.SegName, a->d.Ordinal, a->d.SegLoc, a->d.Instance, 0);
	       break;
      case 1:  /*trace("%s!Data/%d(%w) = %w\n", (LPSTR) a->d.SegName, a->d.Instance, a->d.Ordinal, a->d.SegLoc);*/
	       DefineSegment (a->d.SegName, a->d.Ordinal, a->d.SegLoc, a->d.Instance, 1);
	       break;
      default: /*trace("%s!%w/%d(%w) = %w\n", a->d.SegName, a->d.Instance, a->d.Ordinal, a->d.SegLoc);*/
	       break;
      }
      break;
   case 1:  if (a->m.to == 0)
	    {
	       /*trace ("Discard %w\n", a->m.from);*/
	       DiscardSegment (a->m.from);
	    }
	    else
	    {
	       /*trace("%w moved to %w\n", a->m.from, a->m.to);*/
	       MoveSegment (a->m.from, a->m.to);
	    }
	    break;
   case 2:  /*trace("Delete %w\n", a->DiscardSeg);*/
	    DiscardSegment (a->DiscardSeg);
	    break;
   }
}

void far MultiPlex (type)
BYTE type;
{
   return;
}
