#if !defined(DGB_H)
   #define DGB_H
/*
 * This header file contains some standard macros which I find useful.
 */
#if !defined (unless)
   #define unless(x) if (!(x))
   #define until(x)  while (!(x))
#endif
#if !defined (max)
   #define max(a, b) ((a) > (b) ? (a) : (b))
   #define min(a, b) ((a) < (b) ? (a) : (b))
   #define abs(v) ((v) < 0 ? -(v) : (v))
#endif
#if !defined (FALSE)
   #define FALSE 0
#endif
#if !defined (TRUE)
   #define TRUE 1
#endif

/* Until Microsoft actually implements these, I shall use dummies: */
#if !defined(const)
#define const
#endif
#if !defined (volatile)
#define volatile
#endif

#if !defined (HIGH)
#define HIGH(a)		(sizeof(a)/sizeof(a[0]))
#define ARRAY_END(a)	(&(a[HIGH(a)]))
#endif

/* ***WARNING - these macros are extemely non portable.
 * On anything but Microsft C v4.00 replace them with library calls.
 */
#define ARRAYCLEAR(var) {struct CS {char d[max(sizeof(var)-2,1)];};\
if (sizeof(&var[0]) == 2) CLEARNF(sizeof(var), var, near)\
else CLEARNF(sizeof(var), var, far);\
}

#define STRUCTCLEAR(var) {struct CS {char d[max(sizeof(var)-2,1)];};\
if(sizeof(&var)==2)CLEARNF(sizeof(var), &var, near)\
else CLEARNF(sizeof(var), &var, far)}

#define CLEARNF(size, ptr, distance) {\
   if (size >= 2) * (WORD distance *) (ptr) = 0;\
   if (size >= 4) * (struct CS distance *) ((WORD distance *) (ptr) + 1) = *(struct CS distance *)(ptr);\
   if (size == 1 || size == 3) * ((BYTE distance *) (ptr) + size - 1) = 0;\
}

#endif /*DGB_H*/
